#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xF0,0x75,0x12,0xDD,0xE0,0x97,0x59,0x7A,0xE1,0x5D,0xA2,0x3D,
		0xF1,0xBC,0xB4,0x9B,0x06,0x6D,0x66,0x02,0xA9,0xD0,0x69,0x86,
		0x51,0xE1,0xA1,0x4E,0x3A,0x26,0x4A,0x57,0x24,0xFB,0x31,0xF4,
		0xC5,0x1E,0xF7,0xAC,0x6D,0x0D,0x2E,0xFB,0x15,0x37,0xEF,0x3A,
		0x67,0x28,0xEF,0xF4,0x1F,0xA8,0xD8,0xB9,0x1A,0xB7,0xB2,0x81,
		0x46,0x3C,0x6A,0xB7,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
